## mysqmail 0.4.9

=== Makefile ===
CFLAGS=-O2 -Wall
CC=gcc
SBIN_DIR?=/usr/sbin
MAN_DIR?=/usr/share/man
DESTDIR?=""
INSTALL?=install
LIBS=-lmysqlclient -ldotconf -L/usr/lib/mysql -L/usr/lib64/mysql
EXEC=mysqmail-pure-ftpd-logger mysqmail-postfix-logger mysqmail-courier-logger mysqmail-dovecot-logger
MYOB=mydaemon.o myconfig.o
HFILES=mydaemon.h myconfig.h

all: $(EXEC)

mydaemon.o: mydaemon.c mydaemon.h

myconfig.o: myconfig.c myconfig.h

mysqmail-dovecot-logger.o: mysqmail-dovecot-logger.c $(HFILES)

mysqmail-pure-ftpd-logger.o: mysqmail-pure-ftpd-logger.c $(HFILES)

mysqmail-postfix-logger.o: mysqmail-postfix-logger.c $(HFILES)

mysqmail-courier-logger.o: mysqmail-courier-logger.c $(HFILES)

mysqmail-pure-ftpd-logger: mysqmail-pure-ftpd-logger.o $(MYOB) $(HFILES)
	$(CC) $< $(MYOB) $(LIBS) -o $@

mysqmail-postfix-logger: mysqmail-postfix-logger.o $(MYOB) $(HFILES)
	$(CC) $< $(MYOB) $(LIBS) -o $@

mysqmail-qmail-logger: mysqmail-qmail-logger.o $(MYOB) $(HFILES)
	$(CC) $< $(MYOB) $(LIBS) -o $@

mysqmail-courier-logger: mysqmail-courier-logger.o $(MYOB) $(HFILES)
	$(CC) $< $(MYOB) $(LIBS) -o $@

mysqmail-dovecot-logger: mysqmail-dovecot-logger.o $(MYOB) $(HFILES)
	$(CC) $< $(MYOB) $(LIBS) -o $@

strip: all
	for i in $(EXEC) ; do strip $${i} ; done

clean:
	rm -rf *.o $(EXEC)

install-pure: mysqmail-pure-ftpd-logger
	$(INSTALL) -D -m 0755 mysqmail-pure-ftpd-logger $(DESTDIR)$(SBIN_DIR)/mysqmail-pure-ftpd-logger
	$(INSTALL) -D -m 0644 doc/mysqmail-pure-ftpd-logger.8 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-pure-ftpd-logger.8
	gzip -9 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-pure-ftpd-logger.8

install-post: mysqmail-postfix-logger
	$(INSTALL) -D -m 0755 mysqmail-postfix-logger $(DESTDIR)$(SBIN_DIR)/mysqmail-postfix-logger
	$(INSTALL) -D -m 0644 doc/mysqmail-postfix-logger.8 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-postfix-logger.8
	gzip -9 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-postfix-logger.8

install-qmail: mysqmail-qmail-logger
	$(INSTALL) -D -m 0755 mysqmail-qmail-logger $(DESTDIR)$(SBIN_DIR)/mysqmail-qmail-logger
	$(INSTALL) -D -m 0644 doc/mysqmail-qmail-logger.8 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-qmail-logger.8
	gzip -9 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-qmail-logger.8

install-courier: mysqmail-courier-logger
	$(INSTALL) -D -m 0755 mysqmail-courier-logger $(DESTDIR)$(SBIN_DIR)/mysqmail-courier-logger
	$(INSTALL) -D -m 0644 doc/mysqmail-courier-logger.8 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-courier-logger.8
	gzip -9 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-courier-logger.8

install-dovecot: mysqmail-dovecot-logger
	$(INSTALL) -D -m 0755 mysqmail-dovecot-logger $(DESTDIR)$(SBIN_DIR)/mysqmail-dovecot-logger
	$(INSTALL) -D -m 0644 doc/mysqmail-dovecot-logger.8 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-dovecot-logger.8
	gzip -9 $(DESTDIR)$(MAN_DIR)/man8/mysqmail-dovecot-logger.8

install-conf:
	$(INSTALL) -D -m 0640 doc/mysqmail.conf $(DESTDIR)$(ETCDIR)/mysqmail.conf

install: all
	$(MAKE) strip
	$(MAKE) DESTDIR=$(DESTDIR) SBIN_DIR=$(SBIN_DIR) MAN_DIR=$(MAN_DIR) INSTALL=$(INSTALL) install-pure
	$(MAKE) DESTDIR=$(DESTDIR) SBIN_DIR=$(SBIN_DIR) MAN_DIR=$(MAN_DIR) INSTALL=$(INSTALL) install-post
	$(MAKE) DESTDIR=$(DESTDIR) SBIN_DIR=$(SBIN_DIR) MAN_DIR=$(MAN_DIR) INSTALL=$(INSTALL) install-courier
	$(MAKE) DESTDIR=$(DESTDIR) SBIN_DIR=$(SBIN_DIR) MAN_DIR=$(MAN_DIR) INSTALL=$(INSTALL) install-dovecot

dist:
	./dist

rpm:
	$(MAKE) dist
	VERS=`head -n 1 debian/changelog | cut -d'(' -f2 | cut -d')' -f1 | cut -d'-' -f1` ; \
	PKGNAME=`head -n 1 debian/changelog | cut -d' ' -f1` ; \
	cd .. ; rpmbuild -ta $${PKGNAME}-$${VERS}.tar.gz

deb:
	if [ -z $(SIGN)"" ] ; then \
		./deb ; \
	else \
		./deb --sign ; \
	fi

.PHONY: clean install all strip dist rpm install-conf install-courier install-qmail install-post install-pure deb install-dovecot

=== SConstruct ===
# first, the imports
import os

# then the install paths
def unfuck(path):
	while "//" in path: path = path.replace("//","/")
	return path
prefix  = os.getenv("PREFIX","/usr/local")
destdir = os.getenv("DESTDIR","/")
bindir  = unfuck(os.path.join( destdir+prefix, "sbin" ))
mandir  = unfuck(os.path.join( destdir+prefix, "man8" ))

# then the environment
env = Environment()
g = Builder(action = "gzip -9 < $SOURCE > $TARGET")
env.Append(BUILDERS={"Gzip":g})
env.Decider('timestamp-newer')

# then the targets
unique = [ env.Object( t ) for t in env.Glob("mysqmail-*-logger.c") ]
common = [ env.Object( t ) for t in env.Split("mydaemon.c myconfig.c") ]

# then the dynamic libs
libs = ['mysqlclient', 'dotconf']

# then the programs
programs = [ env.Program( [ t ] + common, LIBS = libs) for t in unique ]

# then the manpages
manpages = [ env.Gzip("%s.gz"%s,s) for s in env.Glob("doc/*.8") ]

# then the installation
all = [ env.Install(k,v) for k,v in {bindir:programs,mandir:manpages}.items() ]

env.Alias('install', all)

=== debian/changelog ===
mysqmail (0.4.9-10.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to debhelper-compat (= 13).  (Closes: #965743)
  * Switch Priority to optional.
  * Add Pre-Depends: ${misc:Pre-Depends}.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jan 2022 02:08:05 +0100

mysqmail (0.4.9-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing build-{arch,indep} targets and fix dpkg-buildpackage -A,
    thanks to Santiago Vila.  (Closes: #822006, #805952)
  * Switch Build-Depends to default-libmysqlclient-dev.
    (Closes: #845880, #790469)
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2017 17:53:31 +0100

mysqmail (0.4.9-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove dependency on libdotconf1.0 as it is unneeded and blocking
    the dotconf transistion (Closes: #733919)

 -- Paul Gevers <elbrus@debian.org>  Sat, 15 Feb 2014 13:41:15 +0100

mysqmail (0.4.9-10) unstable; urgency=low

  * Team upload.
  * Fix Danish PO file encoding (Closes: #659787).

 -- David Prévot <taffit@debian.org>  Wed, 12 Sep 2012 07:31:12 -0400

mysqmail (0.4.9-9) unstable; urgency=low

  * Really adds po files (Closes: #685842, #685701, #685554, #659787).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Sep 2012 09:56:23 +0000

mysqmail (0.4.9-8) unstable; urgency=low

  * Added Debconf translations thanks to:
  - nl: Jeroen Schot <schot@A-Eskwadraat.nl> (Closes: #685842).
  - pl: "Michał Kułach" <michalkulach@gmail.com> (Closes: #685701).
  - sk: Slavko <slavko@slavino.sk> (Closes: #685554).
  - da:  Joe Dalton <joedalton2@yahoo.dk> (Closes: #659787).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Sep 2012 05:50:19 +0000

mysqmail (0.4.9-7) unstable; urgency=low

  * Fixed the name of the PID file in mysqmail-dovecot-logger so that it
    matches the one of the init.d script (Closes: #599569).
  * Fixed the domain name string so that it logs correcly dovecot traffic
    (previously "):" was happened to the domain name) (Closes: #599570).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Oct 2010 11:43:09 +0000

mysqmail (0.4.9-6) unstable; urgency=low

  * Added in debian/*.init some Sould-Start: mysql, as otherwise, mysqmail
    starts before mysqld.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Sep 2010 04:11:53 +0000

mysqmail (0.4.9-5) unstable; urgency=low

  * Reverted Danish debconf translation that wasn't for this package.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Sep 2010 04:01:26 +0000

mysqmail (0.4.9-4) unstable; urgency=medium

  * Now using my @debian.org email address.
  * Apply patch from Marco Rodrigues to fix handling of configuration file
    in maintainer scripts (Closes: #591677).
  * Urgency medium due to RC bug fix
  * Added Danish debconf translation thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #583972).

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Sep 2010 03:38:01 +0000

mysqmail (0.4.9-3) unstable; urgency=low

  * Maintainer scripts are now also working if DTC is not configured yet
    (Closes: #574227).

 -- Thomas Goirand <thomas@goirand.fr>  Wed, 24 Mar 2010 13:32:33 +0800

mysqmail (0.4.9-2) unstable; urgency=low

  * Now exiting silently if DTC is not fully configured (Closes: #566568).
  * Swedish update for the debconf template thanks to Martin Bagge
    <brother@bsnet.se> (Closes: #562927).
  * Added Italian debconf translation, thanks to Vincenzo Campanella
    <vinz65@gmail.com> (Closes: #556115).

 -- Thomas Goirand <thomas@goirand.fr>  Thu, 04 Mar 2010 15:09:45 +0800

mysqmail (0.4.9-1) unstable; urgency=low

  * New upstream version including some corrections to the man pages.
  * New Debian release including all the translation work. Special thanks to
    Christian Perrier for all his translation efforts in having all Debian in
    general, and this package today, translated in many language. Debian
    wouldn't be what it is now without people like Christian Perrier.
  * Added Italian debconf translation thanks Luca Monducci <luca.mo@tiscali.it>
    (Closes: #552218).
  * Added German debconf translation thanks to Chris Leick <c.leick@vollbio.de>
    (Closes: #550827).
  * Added Japanese debconf translation thanks to Hideki Yamane from the
    Debian-JP team <henrich@debian.or.jp> (Closes: #551021).
  * Added French debconf translation thanks to Christian Perrier
    <bubulle@debian.org> (Closes: #550813).
  * Added Russian debconf translation thanks to Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #550551).
  * Added Spanish debconf translation thanks to Francisco Javier Cuadrado
    <fcocuadrado@gmail.com> (Closes: #550501).
  * Added Finish debconf translation thanks to Esko Arajärvi <edu@iki.fi>
    (Closes: #549969).
  * Added Czech debconf translation thanks to Martin Šín <martin.sin@zshk.cz>
    (Closes: #549301).
  * Added Vietnamese debconf translation thanks to Clytie Siddall
    <clytie@riverland.net.au> (Closes: #548993).
  * Added Portuguese debconf translation thanks to Rui Branco of the Traduz
    (Portuguese Translation Team) <traduz@debianpt.org> (Closes: #548830).
  * Added Swedish debconf translation thanks to Martin Bagge <brother@bsnet.se>
    (Closes: #545735).
  * Bumped Standards-Version.

 -- Thomas Goirand <thomas@goirand.fr>  Fri, 16 Oct 2009 04:05:05 +0800

mysqmail (0.4.8-2) unstable; urgency=low

  * New templates and debian/control reviewed by the language team, thanks a
    lot to Christian Perrier <bubulle@debian.org> for his endless efforts.
    (Closes: #547141, #548697)
  * Reviewed the debian/*.init for dependencies (Closes: #545897).

 -- Thomas Goirand <thomas@goirand.fr>  Mon, 28 Sep 2009 17:20:57 +0800

mysqmail (0.4.8-1) unstable; urgency=low

  * New upstream release.
  * Updated the debian/*.init scripts for correct dependencies (Closes: #545897).

 -- Thomas Goirand <thomas@goirand.fr>  Thu, 10 Sep 2009 14:04:23 +0800

mysqmail (0.4.7-1) unstable; urgency=low



=== debian/control ===
Source: mysqmail
Section: mail
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 po-debconf,
 libdotconf-dev,
 default-libmysqlclient-dev,
Rules-Requires-Root: no
Standards-Version: 3.8.3
Vcs-Browser: http://git.gplhost.com/gitweb/?p=mysqmail.git
Vcs-Git: http://git.gplhost.com/mysqmail.git
Homepage: http://www.gplhost.com/software-mysqmail.html

Package: mysqmail
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, debconf, ${shlibs:Depends}
Description: real-time logging system in MySQL
 MySQMail is a set of tiny daemon loggers for mail and FTP servers that
 save traffic information in a MySQL database. The information is split
 by domain and by user so that it's easy to measure all the traffic for
 a given domain name in real time.
 .
 This package provides the configuration infrastructure.

Package: mysqmail-pure-ftpd-logger
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, lsb-base, pure-ftpd | pure-ftpd-mysql, mysqmail, ${shlibs:Depends}
Description: real-time logging system in MySQL - Pure-FTPd traffic-logger
 MySQMail is a set of tiny daemon loggers for mail and FTP servers that
 save traffic information in a MySQL database. The information is split
 by domain and by user so that it's easy to measure all the traffic for
 a given domain name in real time.
 .
 This package provides a logger for FTP traffic handled by Pure-FTPd.

Package: mysqmail-postfix-logger
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, lsb-base, postfix, mysqmail, ${shlibs:Depends}
Description: real-time logging system in MySQL - Postfix traffic-logger
 MySQMail is a set of tiny daemon loggers for mail and FTP servers that
 save traffic information in a MySQL database. The information is split
 by domain and by user so that it's easy to measure all the traffic for
 a given domain name in real time.
 .
 This package provides a logger for SMTP traffic handled by Postfix.

Package: mysqmail-courier-logger
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, courier-imap-ssl | courier-imap | courier-pop | courier-pop-ssl, lsb-base, mysqmail, ${shlibs:Depends}
Description: real-time logging system in MySQL - Courier traffic-logger
 MySQMail is a set of tiny daemon loggers for mail and FTP servers that
 save traffic information in a MySQL database. The information is split
 by domain and by user so that it's easy to measure all the traffic for
 a given domain name in real time.
 .
 This package provides a logger for POP/IMAP traffic handled by Courier.

Package: mysqmail-dovecot-logger
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, dovecot-pop3d, dovecot-imapd, lsb-base, mysqmail, ${shlibs:Depends}
Description: real-time logging system in MySQL - Dovecot traffic-logger
 MySQMail is a set of tiny daemon loggers for mail and FTP servers that
 save traffic information in a MySQL database. The information is split
 by domain and by user so that it's easy to measure all the traffic for
 a given domain name in real time.
 .
 This package provides a logger for POP/IMAP traffic handled by Dovecot.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) strip
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

	# As per advice from Christian Perrier
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	install -D -m 0755 mysqmail-courier-logger   debian/mysqmail-courier-logger/usr/sbin/mysqmail-courier-logger
	install -D -m 0755 mysqmail-postfix-logger   debian/mysqmail-postfix-logger/usr/sbin/mysqmail-postfix-logger
	install -D -m 0755 mysqmail-pure-ftpd-logger debian/mysqmail-pure-ftpd-logger/usr/sbin/mysqmail-pure-ftpd-logger
	install -D -m 0755 mysqmail-dovecot-logger   debian/mysqmail-dovecot-logger/usr/sbin/mysqmail-dovecot-logger

# Build architecture-independent files here.
binary-indep: build install
	dh_link -i
	dh_installchangelogs -i doc/changelog
	dh_installdocs -i
	dh_installmenu -i
	dh_installdebconf -i
	dh_installinit -i
	dh_installman -i
	dh_strip -i
	dh_compress -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_link -a
	dh_installchangelogs -a doc/changelog
	dh_installdocs -a
	dh_installmenu -a
	dh_installdebconf -a
	dh_installinit -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
